Summary:	Binary vi
Summary(pl.UTF-8):	Binarny vi
Name:		bvi
Version:	1.4.0
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	http://downloads.sourceforge.net/bvi/%{name}-%{version}.src.tar.gz
# Source0-md5:	aa83eb8b2b6b0bb6cdd8e6beef12b775
Patch0:		%{name}-home_etc.patch
URL:		http://bvi.sourceforge.net/
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bvi is a simple binary file editor which user interface is based on vi
editor.

%description -l pl.UTF-8
bvi to prosty edytor plików binarnych z interfejsem wzorowanym na
edytorze vi.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-ncurses=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES CREDITS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%changelog
* Sun Dec 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bvi.git;a=log;h=master

* Sun Dec 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 53876c2
- adapterize

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 13fa623
- up to 1.4.0

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 72099fd
- ncurses rebuild
- release 2 (by relup.sh)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2d933b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a9af349
- converted to UTF-8

* Sun May 15 2005 darekr <darekr@pld-linux.org> 35386fd
- BR: ncurses-devel

* Wed Aug 18 2004 Jakub Bogusz <qboosh@pld-linux.org> ed90372
- BR: automake

* Wed Aug 18 2004 domelu <domelu@pld-linux.org> df8b4bd
- config.sub
- rel 2

* Sun Feb 15 2004 Jakub Bogusz <qboosh@pld-linux.org> f574d43
- missing dir

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> 6708a43
- install bmore.help in %{_datadir}/%{name}

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> f91e239
- home_etc support

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> 4e869e4
- outdated

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> d0f7f84
- updated to 1.3.2
- etc_dir patch replaced with home_etc patch
- added -paths patch
- release 1

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 04894a0
- może wrescie ktoś wykasuje to konto ?

* Mon Jul 07 2003 Paweł Gołaszewski <blues@pld-linux.org> 080eda0
- many small fixes, inspired by kloczek

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0d4d0f6
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 931a701
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Apr 07 2003 juandon <witekfl@pld-linux.org> 5c99f09
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

* Mon Apr 07 2003 juandon <witekfl@pld-linux.org> e1510a2
- s/CONFIG_DIR/ETC_DIR/
- s/home_etc/etc_dir/

* Sun Mar 23 2003 juandon <witekfl@pld-linux.org> 9b2d824
- added home_etc.patch
- Release 2

